Get Current Account
Get information about the current user’s account.
Required scope: account_info.read
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Whole Team)
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Response headers
Response
The user’s email address. Do not rely on this without checking the
email_verified field. Even then, it’s possible that the user
has since lost access to their email. Note: email is not a unique or
stable identifier for a Dropbox account. Users can change their email,
and emails can be reused by different accounts. Apps should not use
email as a key for account identification; use account_id instead.
Whether the user has a personal and work account. If the current
account is personal, then team will always be null,
but is_paired will indicate if a work account is linked.
The language that the user specified. Locale tags will be IETF language tags.
The user’s referral link.
The user’s two-letter country code, if available. Country codes are based on ISO 3166-1.
This account’s unique team member id. This field will only be present if
team is present.